# -*- coding: utf-8 -*-

import importlib


class NoBackend(Exception):
    pass


backends = {
    'pg': ('.postgres', 'PostgreSQLBackend'),
    'psql': ('.postgres', 'PostgreSQLBackend'),
    'sqlite': ('.sqlite', 'SqliteBackend'),
    'mysql': ('.mysql', 'MysqlBackend'),
    'mssql': ('.mssql', 'MSSQLBackend'),
}


def get_backend(name):
    try:
        module_name, backend_name = backends[name]
    except KeyError:
        raise NoBackend(name)
    module = importlib.import_module(module_name, package=__name__)
    return getattr(module, backend_name)
