# -*- coding: utf-8 -*-

import MySQLdb

from etl.databases.backends.base import Backend


class MysqlBackend(Backend):
    def open_connection(self, host, port, user, password, db, charset):
        return MySQLdb.connect(
            host=host,
            port=port,
            user=user,
            password=password,
            db=db,
            charset=charset,
            use_unicode=True,
            init_command='SET NAMES utf8; SET CHARACTER SET utf8; SET character_set_connection=utf8;'
        )

    def escape_name(self, name):
        return '`{}`'.format(name)
