# -*- coding: utf-8 -*-


import logging

logger = logging.getLogger(__name__)


class DevNull(object):
    def __init__(self, actual_destination=None):
        self.dest = actual_destination

    def __eq__(self, other):
        return isinstance(other, DevNull) and self.dest == other.dest

    def __repr__(self):
        if self.dest is None:
            return '<null>'
        return '<Dryrun({})>'.format(self.dest)

    def __call__(self, record):
        logger.info('Should send to %s: %s', self.dest, record)
