# -*- coding: utf-8 -*-

import openpyxl
import itertools


class ExcelSource(object):
    def __init__(self, source):
        self.source = openpyxl.load_workbook(source, read_only=True)

    def __repr__(self):
        return '<{}>'.format(self.__class__.__name__)

    def __iter__(self):
        ws = self.source.worksheets[0]
        for i in itertools.count(1):
            try:
                row = ws[str(i)]
            except IndexError:
                return
            else:
                yield [cell.value for cell in row]
