# -*- coding: utf-8 -*-

from __future__ import absolute_import
import logging

import json


logger = logging.getLogger(__name__)


class JSONSource(object):
    def __init__(self, source):
        self.source = source

    def __repr__(self):
        return '<{}>'.format(self.__class__.__name__)

    def __iter__(self):
        for line_no, line in enumerate(self.source):
            if not line:
                continue
            try:
                yield json.loads(line.decode('utf-8'))
            except (UnicodeDecodeError, ValueError) as e:
                logger.error('At line %s: %s', line_no, e)
