# -*- coding: utf-8 -*-


class Target(object):
    def __init__(self, target):
        self.target = target

    def __repr__(self):
        return repr(self.target)

    def __eq__(self, other):
        return isinstance(other, self.__class__) and self.target == other.target

    def __call__(self):
        raise NotImplementedError()


class FixedTarget(Target):
    def __call__(self, record):
        return self.target


class PatternTarget(Target):
    def __call__(self, record):
        return self.target.format(**record)
